#include "GameObject.h"
#include "EventKeyboard.h"
#include "DebugMessage.h"

class DebugObject : public GameObject {

protected:
//void kbd(EventKeyboard *keyboard_event);
	DebugMessage* messages[256];
  

public:
	void move(int dx,int dy);
	void step();
	//void draw();
	DebugObject();
	~DebugObject();
	int eventHandler(Event *e);
	void addMessage(DebugMessage* dbg,int index);
	void writeString(int y, int x, char* str);
};